Updates the Contract with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contract| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| id2 |
id2 |
integer |
Required |
| company_id |
The company owner of this contract |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contract |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contract |
company |
Optionally required : company_id, company_code or company must be provided |
| reference |
Reference |
string | |
| reference_back_office |
Backoffice reference |
string | |
| reference_customer |
Customer Reference |
string | |
| date_start |
Start Date of the contract |
date | |
| date_end |
Contract End date |
date | |
| date_cancel |
Readonly , date +time when the contract goes in status Cancelled |
date | |
| date_last_invoiced |
Readonly contains the last date an invoice has been generated for this contract |
date | |
| name |
Name of the contract |
string | |
| description |
Description of Contract |
string | |
| feelist_id |
Feelist ID |
globally unique identifier | |
| article_price_label_id |
Article Price Llabel Id |
globally unique identifier | |
| account_manager_user_id |
FK of Account manager user |
globally unique identifier | |
| account_manager_user |
Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user |
user | |
| account_manager_user_code |
Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| renewal_term_months |
Renewal Term Months |
integer |
Range: inclusive between 0 and 1000000 |
| feelist_warranty_discount |
Feelist Warranty Discount |
decimal number |
Range: inclusive between 0 and 100 |
| price_label_warranty_discount |
Price Label Warranty Discount |
decimal number |
Range: inclusive between 0 and 100 |
| driving_distance |
Distance in km that are used to invoice the travel |
decimal number | |
| travel_fee_fix_discount |
Discount applied when computing the fee for travel |
decimal number |
Request Formats :
application/json, text/json
{
"id": "aa5d2178-505e-4e07-a0a7-ae7256217cf4",
"id2": 2,
"company_id": "4f9a2a44-25f3-4dbd-ac6b-56bb84f86b28",
"company_code": "sample string 4",
"reference": "sample string 5",
"reference_back_office": "sample string 6",
"reference_customer": "sample string 7",
"date_start": "2026-08-06T19:58:33.7288908+00:00",
"date_end": "2026-08-06T19:58:33.7288908+00:00",
"date_cancel": "2026-08-06T19:58:33.7288908+00:00",
"date_last_invoiced": "2026-08-06T19:58:33.7288908+00:00",
"name": "sample string 12",
"description": "sample string 13",
"feelist_id": "2eb4c8a7-aae4-4ad9-b0ef-0dd0e8479865",
"article_price_label_id": "0a02d1e3-95a5-494c-b777-98845c353c67",
"account_manager_user_id": "47da305a-d3a6-4325-a032-0d6cdeaac235",
"account_manager_user": {
"id": "7d6cef0a-ea3f-4cd8-a1e6-68dbc47a173b",
"db_language_id": "e8d794f7-e452-4521-ac3d-9acca2ee87c8",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-08-06T19:58:33.7288908+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "913f3a2c-3fe9-4cc6-903b-d3fe875d725f",
"sales_organization": {
"id": "86c0a189-fc08-4fb9-806f-6745b19a218b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c6aa3634-e2b2-478e-8575-458a3aea6f68",
"db_currency_id": "7da85ea4-0210-40af-b0ae-27de88ceb5b0",
"db_language_id": "3b0b2f68-b88d-4d11-be6b-93d74278bdd3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-08-06T19:58:33.7288908+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f5d86707-50fc-42f3-a95d-b85ee4183aa9",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "410fa889-3219-4364-bbf2-6d4c38e508aa",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-08-06T19:58:33.7288908+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "cc7de3ce-ed8f-47f5-a6db-12fbbf29bb9e"
},
"account_manager_user_code": "sample string 17",
"modified_dateutc": "2026-08-06T19:58:33.7288908+00:00",
"renewal_term_months": 19,
"feelist_warranty_discount": 20.0,
"price_label_warranty_discount": 21.0,
"driving_distance": 22.0,
"travel_fee_fix_discount": 23.0
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.